| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Num::FunctionPolynomial Class Reference

Polynomial real functions of one variable. More...

Inheritance diagram for IG::Num::FunctionPolynomial:
[legend]
Collaboration diagram for IG::Num::FunctionPolynomial:
[legend]

List of all members.

## Public Member Functions
override bool | HigherDerivativeDefined (int order)
| Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.
## Properties
int | Order`[get]`
| Returns order of the polynomial.
override bool | ValueDefined`[get]`
| Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | DerivativeDefined`[get]`
| Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | SecondDerivativeDefined`[get]`
| Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | IntegralDefined`[get]`
| Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
override bool | InverseDefined`[get]`
| Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).
## Private Member Functions
| FunctionPolynomial (double[] coefficients)
void | Init ()
double | ReferenceValue (double x)
double | ReferencDerivative (double x)
double | DerivativeMonomial (double x, int power, int order)
double | ReferenceHigherDerivative (double x, int order)
double | ReferenceSecondDerivative (double x)
double | ReferenceIntegral (double x)
double | ReferenceInverse (double y)
## Private Attributes
double[] | _coefficients = null

## Detailed Description

Polynomial real functions of one variable.

$A Igor xx;

## Constructor & Destructor Documentation

IG::Num::FunctionPolynomial::FunctionPolynomial | ( | double[] | coefficients | ) | `[inline, private]`

## Member Function Documentation

void IG::Num::FunctionPolynomial::Init | ( |  | ) | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferenceValue | ( | double | x | ) | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferencDerivative | ( | double | x | ) | `[inline, private]`

double IG::Num::FunctionPolynomial::DerivativeMonomial | ( | double | x,
|  | int | power,
|  | int | order
| ) |  | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferenceHigherDerivative | ( | double | x,
|  | int | order
| ) |  | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferenceSecondDerivative | ( | double | x | ) | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferenceIntegral | ( | double | x | ) | `[inline, private]`

double IG::Num::FunctionPolynomial::ReferenceInverse | ( | double | y | ) | `[inline, private]`

override bool IG::Num::FunctionPolynomial::HigherDerivativeDefined | ( | int | order | ) | `[inline]`

Tells whether the derivative of the given order is defined for this function (by implementation, not mathematically). Returns true if either the internal variable indicates true or the appropriate delegate is non-null.

Reimplemented from IG::Num::RealFunction.

## Member Data Documentation

double [] IG::Num::FunctionPolynomial::_coefficients = null`[private]`

## Property Documentation

int IG::Num::FunctionPolynomial::Order`[get]`

Returns order of the polynomial.

override bool IG::Num::FunctionPolynomial::ValueDefined`[get]`

Tells whether value of the function is defined by implementation. Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::FunctionPolynomial::DerivativeDefined`[get]`

Tells whether the first derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::FunctionPolynomial::SecondDerivativeDefined`[get]`

Tells whether the second derivative is defined for this function (by implementation, not mathematically). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::FunctionPolynomial::IntegralDefined`[get]`

Indicates whether integral is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

override bool IG::Num::FunctionPolynomial::InverseDefined`[get]`

Indicates whether inverse is defined for this function (w.r. implementation). Getter returns true if internal flag is set OR appropriate delegate is defined. Setter sets the internal flag (i.e. delegate must also be set to null if getter should return false).

Reimplemented from IG::Num::RealFunction.

The documentation for this class was generated from the following file:

- FunctionReal.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events